"Warning: package error or possible missing or unnecessary file: ....app/Contents/Plug-Ins/ (package-manifest, ...)."

VERIFIED FIXED in Thunderbird 12.0

Status

MailNews Core
Build Config
VERIFIED FIXED
7 years ago
5 years ago

People

(Reporter: sgautherie, Assigned: sgautherie)

Tracking

Trunk
Thunderbird 12.0
x86
Mac OS X
Dependency tree / graph
Bug Flags:
in-testsuite -

Firefox Tracking Flags

(blocking-seamonkey2.1 -)

Details

(URL)

Attachments

(4 attachments, 3 obsolete attachments)

(Assignee)

Description

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1273303800.1273311351.14500.gz&fulltext=1
OS X 10.5 comm-central-trunk nightly on 2010/05/08 00:30:00
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1273367846.1273370115.1970.gz&fulltext=1
OS X 10.5 comm-central-trunk build on 2010/05/08 18:17:26
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1273367846.1273368939.30689.gz&fulltext=1
OS X 10.5 comm-central-trunk leak test build on 2010/05/08 18:17:26
{
Warning: package error or possible missing or unnecessary file: SeaMonkey.app/Contents/Plug-Ins/ (package-manifest, 16).
}

Hopefully, the fix should be trivial.
I think this should be investigated/fixed asap, as it affects nightlies too.

Comment 1

7 years ago
As long as we don't know what's breaking without this being fixed (if anything), there's no criteria for making this block anything.
blocking-seamonkey2.1: ? → -
(Assignee)

Comment 2

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273537541.1273540006.10470.gz&fulltext=1
OS X 10.5.2 mozilla-central build on 2010/05/10 17:25:41
{
Warning: package error or possible missing or unnecessary file: Minefield.app/Contents/Plug-Ins/ (package-manifest, 15).
}

It looks like FF, SM and TB are affected.
Blocks: 463605
Component: Build Config → Build Config
Product: SeaMonkey → Core
QA Contact: build-config → build-config
Summary: "Warning: package error or possible missing or unnecessary file: SeaMonkey.app/Contents/Plug-Ins/ (package-manifest, 16)." → "Warning: package error or possible missing or unnecessary file: ....app/Contents/Plug-Ins/ (package-manifest, ...)."

Comment 3

7 years ago
This is fallout from bug 533891. Need to remove the default plugin lines from "package-manifest.in".

Comment 4

7 years ago
Created attachment 444592 [details] [diff] [review]
fix v1.0
[This is (FF) part of bug 533891]

This will probably work.

Comment 5

7 years ago
The patch that caused this was backed out.
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → FIXED
(Assignee)

Comment 6

7 years ago
(In reply to comment #5)
> The patch that caused this was backed out.

Was it?

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273571545.1273573676.5046.gz&fulltext=1
OS X 10.5.2 mozilla-central build on 2010/05/11 02:52:25
still reports this warning.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
(Assignee)

Updated

7 years ago
Depends on: 533891
(Assignee)

Updated

7 years ago
Attachment #444592 - Attachment description: fix v1.0 → fix v1.0 [This is part of bug 533891]
Attachment #444592 - Attachment is obsolete: true
(Assignee)

Comment 7

7 years ago
Created attachment 446659 [details] [diff] [review]
(Av1 [SM]) Port bug 533891
[Checkin: See comment 18]

removed-files.in:
I removed |#ifndef WINCE| because I'm not sure WINCE is defined, etc.
I (assume but) wonder if '.../DefaultPlugin' is enough to remove DefaultPlugin~.ppc and DefaultPlugin~.86 which this "directory" contains.
Assignee: nobody → sgautherie.bz
Status: REOPENED → ASSIGNED
Attachment #446659 - Flags: review?(bugspam.Callek)
Attachment #446659 - Flags: feedback?
(Assignee)

Updated

7 years ago
Attachment #446659 - Flags: feedback? → feedback?(stefanh)
(Assignee)

Comment 8

7 years ago
Comment on attachment 446659 [details] [diff] [review]
(Av1 [SM]) Port bug 533891
[Checkin: See comment 18]


Note that this patch is not trying to solve comment 0 warning...
(Assignee)

Comment 9

7 years ago
Created attachment 446664 [details] [diff] [review]
(Bv1) Package 'isp/dotmac.rdf'

To fix package-compare
{
+SeaMonkey.app/Contents/MacOS/isp/dotmac.rdf
}
Attachment #446664 - Flags: review?(bugspam.Callek)
(Assignee)

Updated

7 years ago
Depends on: 353841
(Assignee)

Updated

7 years ago
Attachment #446664 - Flags: feedback?(stefanh)
(Assignee)

Updated

7 years ago
Depends on: 549246

Comment 10

7 years ago
Comment on attachment 446664 [details] [diff] [review]
(Bv1) Package 'isp/dotmac.rdf'

From all I know, Mnyromyr and others explicitely vetoed packaging that and other such vendor-specific files being packaged and shipped in SeaMonkey. If you want to revert that decision, please ask Mnyromyr for it.
Attachment #446664 - Flags: review?(bugspam.Callek) → review-
(Assignee)

Updated

7 years ago
Depends on: 530503
(Assignee)

Comment 11

7 years ago
Created attachment 446854 [details] [diff] [review]
(Bv2) Stop uselessly building 'isp/dotmac.rdf'

Bv1, with comment 10 suggestion(s).
Attachment #446664 - Attachment is obsolete: true
Attachment #446854 - Flags: review?(bugspam.Callek)
Attachment #446664 - Flags: feedback?(stefanh)
(In reply to comment #11)
> Created an attachment (id=446854) [details]
> (Bv2) Stop uselessly building 'isp/dotmac.rdf'

!suite, !thunderbird.... c'mon it must be time for that to die completely :-)

Updated

7 years ago
Attachment #446854 - Flags: review?(bugspam.Callek) → review?(mnyromyr)

Comment 13

7 years ago
Comment on attachment 446854 [details] [diff] [review]
(Bv2) Stop uselessly building 'isp/dotmac.rdf'

I really want Karsten to review this as the SeaMonkey mailnews owner.
(Assignee)

Comment 14

7 years ago
Created attachment 446895 [details] [diff] [review]
(Bv3) Get rid of obsolete 'dotmac.rdf' and 'googlemail.rdf'
[Checkin: Comment 20]

Bv2, with comment 12 suggestion(s).
Attachment #446854 - Attachment is obsolete: true
Attachment #446895 - Flags: superreview?(bugzilla)
Attachment #446895 - Flags: review?(mnyromyr)
Attachment #446854 - Flags: review?(mnyromyr)
(Assignee)

Updated

7 years ago
Blocks: 385205
(Assignee)

Updated

7 years ago
Attachment #446659 - Flags: review?(kairo)
Attachment #446895 - Flags: superreview?(bugzilla) → superreview+

Comment 15

7 years ago
Comment on attachment 446659 [details] [diff] [review]
(Av1 [SM]) Port bug 533891
[Checkin: See comment 18]

>+#elifdef XP_MACOSX
>+plugins/DefaultPlugin.plugin/Contents/Resources/English.lproj/InfoPlist.strings
>+plugins/DefaultPlugin.plugin/Contents/Resources/English.lproj/
>+plugins/DefaultPlugin.plugin/Contents/Resources/plugin.png
>+plugins/DefaultPlugin.plugin/Contents/Resources/
>+plugins/DefaultPlugin.plugin/Contents/MacOS/DefaultPlugin
>+plugins/DefaultPlugin.plugin/Contents/MacOS/
>+plugins/DefaultPlugin.plugin/Contents/Info.plist
>+plugins/DefaultPlugin.plugin/Contents/
>+plugins/DefaultPlugin.plugin/

Please turn around the order of those to be alphabetical and from the less deep to the deeper paths, just like in http://hg.mozilla.org/mozilla-central/file/tip/browser/installer/removed-files.in#l712

With that, r=me.
Attachment #446659 - Flags: review?(kairo)
Attachment #446659 - Flags: review?(bugspam.Callek)
Attachment #446659 - Flags: review+
(Assignee)

Comment 16

7 years ago
(In reply to comment #15)
> Please turn around the order of those to be alphabetical and from the less deep
> to the deeper paths, just like in
> http://hg.mozilla.org/mozilla-central/file/tip/browser/installer/removed-files.in#l712

I saw what FF did, but isn't it "better" to list (= remove) the deepest files and directories first ? Or does it work the same anyway ?

Comment 17

7 years ago
(In reply to comment #16)
> I saw what FF did, but isn't it "better" to list (= remove) the deepest files
> and directories first ? Or does it work the same anyway ?

I have no idea how the algorithm actually works, and we've been doing things this way all the time, so let's stick to it. If the order does matter in the way you imply, we'd have a number of real bugs around, I guess...
(Assignee)

Comment 18

7 years ago
Comment on attachment 446659 [details] [diff] [review]
(Av1 [SM]) Port bug 533891
[Checkin: See comment 18]


http://hg.mozilla.org/comm-central/rev/c5bd60ab7eac
Av1, with comment 15 suggestion(s).
Attachment #446659 - Attachment description: (Av1) Port bug 533891 → (Av1) Port bug 533891 [Checkin: See comment 18]
(Assignee)

Updated

7 years ago
Attachment #446659 - Flags: feedback?(stefanh)
Comment on attachment 446895 [details] [diff] [review]
(Bv3) Get rid of obsolete 'dotmac.rdf' and 'googlemail.rdf'
[Checkin: Comment 20]

Yeah, .Mac is dead since mid 2008 (or rather has been replaced by MobileMe).
We shipped .Mac in recent years only because "we always did".
Attachment #446895 - Flags: review?(mnyromyr) → review+
(Assignee)

Comment 20

7 years ago
Comment on attachment 446895 [details] [diff] [review]
(Bv3) Get rid of obsolete 'dotmac.rdf' and 'googlemail.rdf'
[Checkin: Comment 20]


http://hg.mozilla.org/comm-central/rev/c6c096edf0bf
Attachment #446895 - Attachment description: (Bv3) Get rid of obsolete 'dotmac.rdf' and 'googlemail.rdf' → (Bv3) Get rid of obsolete 'dotmac.rdf' and 'googlemail.rdf' [Checkin: Comment 20]
(Assignee)

Comment 21

7 years ago
Created attachment 449540 [details] [diff] [review]
(Cv1 [SM]) Remove existing 'dotmac.rdf' file too
[Checkin: Comment 22]

Remove file packaged before SeaMonkey had a MacOSX manifest.
Attachment #449540 - Flags: review?(bugspam.Callek)

Updated

7 years ago
Attachment #449540 - Flags: review?(bugspam.Callek) → review+
(Assignee)

Comment 22

7 years ago
Comment on attachment 449540 [details] [diff] [review]
(Cv1 [SM]) Remove existing 'dotmac.rdf' file too
[Checkin: Comment 22]


http://hg.mozilla.org/comm-central/rev/dde58b518386
Attachment #449540 - Attachment description: (Cv1) Remove existing 'dotmac.rdf' file too → (Cv1) Remove existing 'dotmac.rdf' file too [Checkin: Comment 22]
(Assignee)

Comment 23

7 years ago
(In reply to comment #8)
> Note that this patch is not trying to solve comment 0 warning...

(In reply to comment #3)
> This is fallout from bug 533891. Need to remove the default plugin lines from
> "package-manifest.in".

Fwiw, this remains to be fixed.
(Assignee)

Updated

7 years ago
No longer blocks: 463605
Depends on: 515374, 463605
No longer depends on: 564654

Comment 24

6 years ago
Is there anything more to do than to remove http://hg.mozilla.org/mozilla-central/annotate/6a898157f842/browser/installer/package-manifest.in#l17 ? The only other file that references that directory is browser/installer/removed-files.in, with those lines added there for bug 520494 where the PrintPDE plugin was removed.
(Assignee)

Comment 25

5 years ago
(In reply to jag (Peter Annema) from comment #24)
> Is there anything more to do than to remove
> http://hg.mozilla.org/mozilla-central/annotate/6a898157f842/browser/
> installer/package-manifest.in#l17 ?

FF bug 713418 removed it.
TB bug 714042 removed it.
Blocks: 713134
Component: Build Config → Build Config
Depends on: 714042, 713418
No longer depends on: 515374
Product: Core → MailNews Core
QA Contact: build-config → build-config
(Assignee)

Comment 26

5 years ago
Created attachment 584953 [details] [diff] [review]
(Dv1-SM) Port bug 713418 (Stop packaging dead [XP_MACOSX] '/Contents/Plug-Ins/')
[Checked in: Comment 28]
Attachment #584953 - Flags: review?(bugspam.Callek)
(Assignee)

Updated

5 years ago
Attachment #584953 - Attachment description: (Dv1) Port bug 713418 (Stop packaging dead [XP_MACOSX] '/Contents/Plug-Ins/') → (Dv1-SM) Port bug 713418 (Stop packaging dead [XP_MACOSX] '/Contents/Plug-Ins/')
Attachment #584953 - Attachment filename: 564656-Av1_Contents--Plug-Ins.diff → 564656-Av1-SM_Contents--Plug-Ins.diff
Comment on attachment 584953 [details] [diff] [review]
(Dv1-SM) Port bug 713418 (Stop packaging dead [XP_MACOSX] '/Contents/Plug-Ins/')
[Checked in: Comment 28]

Review of attachment 584953 [details] [diff] [review]:
-----------------------------------------------------------------

Lets (finally) close this bug
Attachment #584953 - Flags: review?(bugspam.Callek) → review+
(Assignee)

Comment 28

5 years ago
Comment on attachment 584953 [details] [diff] [review]
(Dv1-SM) Port bug 713418 (Stop packaging dead [XP_MACOSX] '/Contents/Plug-Ins/')
[Checked in: Comment 28]

http://hg.mozilla.org/comm-central/rev/48f14d18ad22
Attachment #584953 - Attachment description: (Dv1-SM) Port bug 713418 (Stop packaging dead [XP_MACOSX] '/Contents/Plug-Ins/') → (Dv1-SM) Port bug 713418 (Stop packaging dead [XP_MACOSX] '/Contents/Plug-Ins/') [Checked in: Comment 28]
(Assignee)

Updated

5 years ago
Attachment #449540 - Attachment description: (Cv1) Remove existing 'dotmac.rdf' file too [Checkin: Comment 22] → (Cv1 [SM]) Remove existing 'dotmac.rdf' file too [Checkin: Comment 22]
(Assignee)

Updated

5 years ago
Attachment #446659 - Attachment description: (Av1) Port bug 533891 [Checkin: See comment 18] → (Av1 [SM]) Port bug 533891 [Checkin: See comment 18]
(Assignee)

Updated

5 years ago
Attachment #444592 - Attachment description: fix v1.0 [This is part of bug 533891] → fix v1.0 [This is (FF) part of bug 533891]
(Assignee)

Updated

5 years ago
No longer depends on: 549246
(Assignee)

Comment 29

5 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1325277552.1325281890.18814.gz&fulltext=1
OS X 10.5 comm-central-trunk leak test build on 2011/12/30 12:39:12
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1325301669.1325311691.15226.gz&fulltext=1
OS X 10.6 comm-central-trunk build on 2011/12/30 19:21:09

V.Fixed
Status: ASSIGNED → RESOLVED
Last Resolved: 7 years ago5 years ago
Flags: in-testsuite-
Resolution: --- → FIXED
(Assignee)

Updated

5 years ago
Status: RESOLVED → VERIFIED
Target Milestone: --- → Thunderbird 12.0
You need to log in before you can comment on or make changes to this bug.